Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 2401)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 2402)
@@ -70,10 +70,10 @@
  * 
  */
 public class LexicalTableImpl extends ContingencyTableImpl implements ILexicalTable {
-
+	
 	/** The sortedindex. */
 	private int[] sortedindex;
-
+	
 	/**
 	 * Instantiates a new lexical table impl.
 	 *
@@ -87,7 +87,7 @@
 		super(matrix, formNames, partNames);
 		initSortedIndex();
 	}
-
+	
 	/**
 	 * Instantiates a new lexical table impl.
 	 *
@@ -101,7 +101,7 @@
 		super(matrix, rowNames, colNames);
 		initSortedIndex();
 	}
-
+	
 	/**
 	 * Instantiates a new lexical table impl.
 	 *
@@ -113,8 +113,8 @@
 		super(symbol);
 		initSortedIndex();
 	}
-
-
+	
+	
 	/**
 	 * Instantiates a new lexical table impl.
 	 *
@@ -125,15 +125,17 @@
 	public LexicalTableImpl(String symbol) throws RWorkspaceException {
 		super(symbol);
 	}
-
+	
 	/** The nolex. */
 	protected static int nolex = 1;
-
+	
 	/** The prefix r. */
 	protected static String prefixR = "Lexicon_"; //$NON-NLS-1$
+	
 	/**
 	 * Convert the Lexicon into a Vector object.
 	 * TODO move this code somewhere
+	 * 
 	 * @return the vector
 	 * @throws StatException the stat exception
 	 */
@@ -144,8 +146,8 @@
 		lex.setSymbol(v.getSymbol());
 		return v;
 	}
-
 	
+	
 	/**
 	 * 
 	 * @param symbol
@@ -158,32 +160,32 @@
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 		Vector corpusLexiconV = asVector(corpusLexicon);
 		Vector subcorpusLexiconV = asVector(subcorpusLexicon);
-
-		//TODO: implement the R function : rw.callFunction("lexicons2LexicalTable", new QuantitativeDataStructure[] { corpusLexiconV, subcorpusLexiconV }, symbol); //$NON-NLS-1$
 		
-		rw.eval(symbol+" <- matrix(0, ncol = 2, nrow=length("+corpusLexiconV.getSymbol()+"))");
-		rw.eval("colnames("+symbol+") <- c(\""+subcorpusLexicon.getParent().getName()+"\", \""+corpusLexicon.getParent().getName()+"-"+subcorpusLexicon.getParent().getName()+"\")");
-		//System.out.println("forms: "+Arrays.toString(corpusLexicon.getForms()));
+		// TODO: implement the R function : rw.callFunction("lexicons2LexicalTable", new QuantitativeDataStructure[] { corpusLexiconV, subcorpusLexiconV }, symbol); //$NON-NLS-1$
+		
+		rw.eval(symbol + " <- matrix(0, ncol = 2, nrow=length(" + corpusLexiconV.getSymbol() + "))");
+		rw.eval("colnames(" + symbol + ") <- c(\"" + subcorpusLexicon.getParent().getName() + "\", \"" + corpusLexicon.getParent().getName() + "-" + subcorpusLexicon.getParent().getName() + "\")");
+		// System.out.println("forms: "+Arrays.toString(corpusLexicon.getForms()));
 		rw.addVectorToWorkspace("ltnames", corpusLexicon.getForms());
-		rw.eval("rownames("+symbol+") <- ltnames");
-		rw.eval(symbol+"[names("+corpusLexiconV.getSymbol()+"),2] <- "+corpusLexiconV.getSymbol());
-		rw.eval(symbol+"[names("+subcorpusLexiconV.getSymbol()+"),2] <- "+symbol+"[names("+subcorpusLexiconV.getSymbol()+"),2] - "+subcorpusLexiconV.getSymbol());
-		rw.eval(symbol+"[names("+subcorpusLexiconV.getSymbol()+"),1] <- "+subcorpusLexiconV.getSymbol());
+		rw.eval("rownames(" + symbol + ") <- ltnames");
+		rw.eval(symbol + "[names(" + corpusLexiconV.getSymbol() + "),2] <- " + corpusLexiconV.getSymbol());
+		rw.eval(symbol + "[names(" + subcorpusLexiconV.getSymbol() + "),2] <- " + symbol + "[names(" + subcorpusLexiconV.getSymbol() + "),2] - " + subcorpusLexiconV.getSymbol());
+		rw.eval(symbol + "[names(" + subcorpusLexiconV.getSymbol() + "),1] <- " + subcorpusLexiconV.getSymbol());
 		
-//		try {
-//			System.out.println("colnames: "+Arrays.toString(rw.eval("colnames("+symbol+")").asStrings()));
-//			System.out.println("ltnames: "+Arrays.toString(rw.eval("ltnames").asStrings()));
-//			System.out.println("length ltnames: "+rw.eval("length(ltnames)").asInteger());
-//			System.out.println("ncol: "+rw.eval("ncol("+symbol+")").asInteger());
-//			System.out.println("nrow: "+rw.eval("nrow("+symbol+")").asInteger());
-//		} catch (Exception e) {
-//			// TODO Auto-generated catch block
-//			e.printStackTrace();
-//		}
+		// try {
+		// System.out.println("colnames: "+Arrays.toString(rw.eval("colnames("+symbol+")").asStrings()));
+		// System.out.println("ltnames: "+Arrays.toString(rw.eval("ltnames").asStrings()));
+		// System.out.println("length ltnames: "+rw.eval("length(ltnames)").asInteger());
+		// System.out.println("ncol: "+rw.eval("ncol("+symbol+")").asInteger());
+		// System.out.println("nrow: "+rw.eval("nrow("+symbol+")").asInteger());
+		// } catch (Exception e) {
+		// // TODO Auto-generated catch block
+		// e.printStackTrace();
+		// }
 		
 		
 	}
-
+	
 	/**
 	 * Inits the sorted index.
 	 */
@@ -194,127 +196,128 @@
 			sortedindex[i] = i;
 		}
 	}
-
+	
 	// FIXME: should be moved to an importer RCP extension
 	@Deprecated
 	private static int getNline(File f) {
 		try {
 			BufferedReader reader = new BufferedReader(new FileReader(f));
 			int i = 0;
-
-			while(reader.readLine() != null) {
+			
+			while (reader.readLine() != null) {
 				i++;
 			}
 			return i;
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			return 0;
 		}
 	}
-
-	//	/**
-	//	 * Creates the lexical table impl.
-	//	 *
-	//	 * @param partindex the partindex
-	//	 * @param symbol the symbol
-	//	 * @return the lexical table
-	//	 * @throws RWorkspaceException the r workspace exception
-	//	 */
-	//	static public LexicalTable createLexicalTableImpl(QueryIndex partindex,
-	//			String symbol) throws RWorkspaceException {
-	//		List<QueryIndex> qindexes = new ArrayList<QueryIndex>();
-	//		qindexes.add(partindex);
+	
+	// /**
+	// * Creates the lexical table impl.
+	// *
+	// * @param partindex the partindex
+	// * @param symbol the symbol
+	// * @return the lexical table
+	// * @throws RWorkspaceException the r workspace exception
+	// */
+	// static public LexicalTable createLexicalTableImpl(QueryIndex partindex,
+	// String symbol) throws RWorkspaceException {
+	// List<QueryIndex> qindexes = new ArrayList<QueryIndex>();
+	// qindexes.add(partindex);
 	//
-	//		return createLexicalTableImpl(qindexes, symbol);
-	//	}
-
-	//	/**
-	//	 * Creates the lexical table impl.
-	//	 *
-	//	 * @param query indexes 
-	//	 * @param symbol the symbol
-	//	 * @param useAllOccurrences 
-	//	 * @return the lexical table
-	//	 * @throws RWorkspaceException the r workspace exception
-	//	 */
-	//	static public LexicalTable createLexicalTableImpl(
-	//		List<QueryIndex> qindexes, String symbol)
-	//					throws RWorkspaceException {
+	// return createLexicalTableImpl(qindexes, symbol);
+	// }
+	
+	// /**
+	// * Creates the lexical table impl.
+	// *
+	// * @param query indexes
+	// * @param symbol the symbol
+	// * @param useAllOccurrences
+	// * @return the lexical table
+	// * @throws RWorkspaceException the r workspace exception
+	// */
+	// static public LexicalTable createLexicalTableImpl(
+	// List<QueryIndex> qindexes, String symbol)
+	// throws RWorkspaceException {
 	//
-	//		System.out.println(Messages.LexicalTableImpl_1 + qindexes);
-	//		QueryIndex partindex = qindexes.get(0);// FRIGO
-	//		if (!partindex.isComputedWithPartition())
-	//			return null;
+	// System.out.println(Messages.LexicalTableImpl_1 + qindexes);
+	// QueryIndex partindex = qindexes.get(0);// FRIGO
+	// if (!partindex.isComputedWithPartition())
+	// return null;
 	//
-	//		Partition partition = partindex.getPartition();
-	//		Property property = null;
-	//		try {
-	//			property = partindex.getCorpus().getProperties().get(0);
-	//		} catch (CqiClientException e) {
-	//			// TODO Auto-generated catch block
-	//			org.txm.utils.logger.Log.printStackTrace(e);
-	//		}
+	// Partition partition = partindex.getPartition();
+	// Property property = null;
+	// try {
+	// property = partindex.getCorpus().getProperties().get(0);
+	// } catch (CqiClientException e) {
+	// // TODO Auto-generated catch block
+	// org.txm.utils.logger.Log.printStackTrace(e);
+	// }
 	//
-	//		HashMap<String, QueryIndexLine> alllines = new HashMap<String, QueryIndexLine>();
-	//		// merge lines of all indexes
-	//		for (QueryIndex voc : qindexes) {
-	//			for (QueryIndexLine l : voc.getLines()) {
-	//				alllines.put(l.getName(), l);
-	//			}
-	//		}
+	// HashMap<String, QueryIndexLine> alllines = new HashMap<String, QueryIndexLine>();
+	// // merge lines of all indexes
+	// for (QueryIndex voc : qindexes) {
+	// for (QueryIndexLine l : voc.getLines()) {
+	// alllines.put(l.getName(), l);
+	// }
+	// }
 	//
-	//		List<String> colnames = partindex.getPartnames();
+	// List<String> colnames = partindex.getPartnames();
 	//
-	//		Collection<QueryIndexLine> lines = alllines.values();
-	//		List<String> rownames = new ArrayList<String>(lines.size());
-	//		for (QueryIndexLine l : lines) {
-	//			rownames.add(l.getName());
-	//		}
+	// Collection<QueryIndexLine> lines = alllines.values();
+	// List<String> rownames = new ArrayList<String>(lines.size());
+	// for (QueryIndexLine l : lines) {
+	// rownames.add(l.getName());
+	// }
 	//
-	//		String[] entries = new String[alllines.size()];
+	// String[] entries = new String[alllines.size()];
 	//
-	//		int[][] mat = new int[rownames.size()][colnames.size()];
-	//		int[] margins = new int[colnames.size()]; // compute margins
-	//		int i = 0;
-	//		for (QueryIndexLine l : lines) {
-	//			for (int j = 0; j < colnames.size(); j++) {
-	//				mat[i][j] = l.getFrequency(j);
-	//				margins[j] += l.getFrequency(j);
-	//			}
-	//			entries[i++] = l.toString();
-	//		}
+	// int[][] mat = new int[rownames.size()][colnames.size()];
+	// int[] margins = new int[colnames.size()]; // compute margins
+	// int i = 0;
+	// for (QueryIndexLine l : lines) {
+	// for (int j = 0; j < colnames.size(); j++) {
+	// mat[i][j] = l.getFrequency(j);
+	// margins[j] += l.getFrequency(j);
+	// }
+	// entries[i++] = l.toString();
+	// }
 	//
-	//		//System.out.println("mat size : ["+(rownames.size() + extra)+"]["+colnames.size()+"]");
-	//		//System.out.println("rownames size : "+rownames.size());
-	//		//System.out.println("colnames size : "+colnames.size());
-	//		LexicalTableImpl table = new LexicalTableImpl(mat, partition, property,
-	//				rownames.toArray(new String[] {}), colnames
-	//				.toArray(new String[] {}));
-	//		table.constructor_fmin = qindexes.get(0).getFmin();
-	//		return table;
-	//	}
-
-
+	// //System.out.println("mat size : ["+(rownames.size() + extra)+"]["+colnames.size()+"]");
+	// //System.out.println("rownames size : "+rownames.size());
+	// //System.out.println("colnames size : "+colnames.size());
+	// LexicalTableImpl table = new LexicalTableImpl(mat, partition, property,
+	// rownames.toArray(new String[] {}), colnames
+	// .toArray(new String[] {}));
+	// table.constructor_fmin = qindexes.get(0).getFmin();
+	// return table;
+	// }
+	
+	
 	static public ILexicalTable createLexicalTableImpl(File tsvFile) throws IOException, RWorkspaceException {
-
-		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(tsvFile) , "UTF-8")); //$NON-NLS-1$
+		
+		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(tsvFile), "UTF-8")); //$NON-NLS-1$
 		String line = reader.readLine();
 		String[] split = line.split("\t"); //$NON-NLS-1$
 		int ncol = split.length;
 		if (ncol <= 1) {
 			throw new IOException(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.error_notEnoughColumns, ncol));
 		}
-
+		
 		int nlines = getNline(tsvFile);
 		String[] forms = new String[nlines];
-		int[][] freqs = new int[nlines][ncol-1];
-
+		int[][] freqs = new int[nlines][ncol - 1];
+		
 		int i = 0;
-		while(line != null) {
+		while (line != null) {
 			split = line.split("\t"); //$NON-NLS-1$
 			if (split.length == ncol) {
 				forms[i] = split[0];
-				for( int j = 1 ; j < ncol ; j++)
-					freqs[i][j-1] = Integer.parseInt(split[j]);
+				for (int j = 1; j < ncol; j++)
+					freqs[i][j - 1] = Integer.parseInt(split[j]);
 			}
 			else {
 				throw new IOException(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.error_lineXDoesNotHaveXXolumns, i, ncol));
@@ -322,15 +325,16 @@
 			i++;
 			line = reader.readLine();
 		}
-
-		String[] colnames = new String[ncol-1];
-		for( int j = 0 ; j < ncol - 1 ; j++) colnames[j] = "forms"+(j+1); //$NON-NLS-1$
-
+		
+		String[] colnames = new String[ncol - 1];
+		for (int j = 0; j < ncol - 1; j++)
+			colnames[j] = "forms" + (j + 1); //$NON-NLS-1$
+			
 		ILexicalTable lt = LexicalTableImpl.createLexicalTable(freqs, null, forms, colnames, 1);
-
+		
 		return lt;
 	}
-
+	
 	/**
 	 * Creates the lexical table.
 	 *
@@ -344,7 +348,7 @@
 	 */
 	public static ILexicalTable createLexicalTable(int[][] freqs, Property prop,
 			String[] rownames, String[] colnames, int Fmin) throws RWorkspaceException {
-
+		
 		ArrayList<Integer> idx = new ArrayList<Integer>();
 		for (int j = 0; j < rownames.length; j++) {
 			int sum = 0;
@@ -355,9 +359,9 @@
 				idx.add(j);
 			}
 		}
-
+		
 		DoubleMatrix2D mat = DoubleFactory2D.sparse.make(idx.size(), colnames.length, 0);
-
+		
 		int countline = 0;
 		for (int j : idx) {
 			for (int i = 0; i < colnames.length; i++) {
@@ -365,17 +369,18 @@
 			}
 			countline++;
 		}
-
+		
 		String[] filteredrownames = new String[idx.size()];
-		for (int i = 0 ; i < idx.size() ; i++) {
+		for (int i = 0; i < idx.size(); i++) {
 			filteredrownames[i] = rownames[idx.get(i)];
 		}
-
+		
 		LexicalTableImpl table = new LexicalTableImpl(mat, filteredrownames, colnames);
 		return table;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.txm.stat.data.LexicalTable#getFmax()
 	 */
 	@Override
@@ -389,8 +394,9 @@
 		}
 		return max;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.txm.stat.data.LexicalTable#getFmin()
 	 */
 	@Override
@@ -404,9 +410,9 @@
 		}
 		return min;
 	}
-
-	/* (non-Javadoc)
-	 * 
+	
+	/*
+	 * (non-Javadoc)
 	 * TODO: = rowmargins ?
 	 * @see org.txm.stat.data.LexicalTable#getFreqs()
 	 */
@@ -419,19 +425,22 @@
 		for (int i = 0; i < Ncols; i++) {
 			try {
 				cols.add(this.getCol(i).asDoubleArray());
-			} catch (RException e) {
+			}
+			catch (RException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
-			} catch (RWorkspaceException e) {
+			}
+			catch (RWorkspaceException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
-			} catch (StatException e) {
+			}
+			catch (StatException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
 		int sum = 0;
-
+		
 		for (int i = 0; i < Nrows; i++) {
 			sum = 0;
 			for (int j = 0; j < Ncols; j++) {
@@ -441,7 +450,7 @@
 		}
 		return freqs;
 	}
-
+	
 	public void setReference(String refSymbol) {
 		try {
 			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
@@ -449,42 +458,44 @@
 			rw.voidEval("missingrows <- matrix(ncol=1, nrow=length(missingrownames))"); //$NON-NLS-1$
 			rw.voidEval("missingrows[,] <- 0"); //$NON-NLS-1$
 			rw.voidEval("rownames(missingrows) <- missingrownames"); //$NON-NLS-1$
-			rw.voidEval(refSymbol+" <- t(t(rbind("+refSymbol+", t(t(missingrows)))))"); //$NON-NLS-1$ //$NON-NLS-2$
-			rw.voidEval("refLines <- t(t("+refSymbol+"[rownames("+symbol+"),]))"); // only keep the same lines  //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			rw.voidEval("rmargins <-  t(t(margin.table("+symbol+", 1)))"); //  //$NON-NLS-1$ //$NON-NLS-2$
+			rw.voidEval(refSymbol + " <- t(t(rbind(" + refSymbol + ", t(t(missingrows)))))"); //$NON-NLS-1$ //$NON-NLS-2$
+			rw.voidEval("refLines <- t(t(" + refSymbol + "[rownames(" + symbol + "),]))"); // only keep the same lines //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			rw.voidEval("rmargins <-  t(t(margin.table(" + symbol + ", 1)))"); // //$NON-NLS-1$ //$NON-NLS-2$
 			rw.voidEval("refmargin <- margin.table(refLines)"); //$NON-NLS-1$
-			rw.voidEval(symbol+" <- cbind("+symbol+", abs(refLines - rmargins))"); // use abs if refLine does not contains a line from 'symbol' //$NON-NLS-1$ //$NON-NLS-2$
-			rw.voidEval("colnames("+symbol+")[length(colnames("+symbol+"))] <- \"##RESTE##\""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		} catch (Exception e) {
+			rw.voidEval(symbol + " <- cbind(" + symbol + ", abs(refLines - rmargins))"); // use abs if refLine does not contains a line from 'symbol' //$NON-NLS-1$ //$NON-NLS-2$
+			rw.voidEval("colnames(" + symbol + ")[length(colnames(" + symbol + "))] <- \"##RESTE##\""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		}
+		catch (Exception e) {
 			// TODO Auto-generated catch block
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
-
+	
 	@Override
 	public int getRowsCount() {
 		return this.getNRows();
 	}
-
+	
 	@Override
 	public int getColumnsCount() {
 		return this.getNColumns();
 	}
-
+	
 	@Override
 	public ILexicalTable getCopy() {
-
+		
 		try {
 			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-
-			String newsymbol = this.getSymbol()+"_copy";
+			
+			String newsymbol = this.getSymbol() + "_copy";
 			while (rw.containsVariable(newsymbol)) {
 				newsymbol += "_copy";
 			}
 			ILexicalTable copy = new LexicalTableImpl(newsymbol);
-			rw.eval(newsymbol+ " <- "+this.getSymbol());
+			rw.eval(newsymbol + " <- " + this.getSymbol());
 			return copy;
-		} catch (RWorkspaceException e) {
+		}
+		catch (RWorkspaceException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java	(revision 2401)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java	(revision 2402)
@@ -53,9 +53,10 @@
  * @author sloiseau
  */
 public interface ILexicalTable extends ContingencyTable {
-
+	
 	/**
 	 * Insert a column representing the reference corpus
+	 * 
 	 * @param symbol
 	 */
 	public abstract void setReference(String symbol);
@@ -66,7 +67,7 @@
 	 * @return the copy
 	 */
 	public abstract ILexicalTable getCopy();
-
+	
 	/**
 	 * Sort.
 	 *
@@ -74,14 +75,14 @@
 	 * @param reverse the reverse
 	 */
 	public abstract void sort(int colindex, Boolean reverse);
-
+	
 	/**
 	 * Sort row names.
 	 *
 	 * @param reverse the reverse
 	 */
 	public void sortRowNames(Boolean reverse);
-
+	
 	/**
 	 * Removes the col.
 	 *
@@ -89,42 +90,42 @@
 	 * @param checkEmptyLines the check empty lines
 	 */
 	public abstract void removeCol(int col, boolean checkEmptyLines);
-
+	
 	/**
 	 * Removes the cols.
 	 *
 	 * @param cols the cols
 	 */
 	public abstract void removeCols(List<Integer> cols);
-
+	
 	/**
 	 * Removes the cols.
 	 *
 	 * @param coltodelete the coltodelete
 	 */
 	public abstract void removeCols(int[] coltodelete);
-
+	
 	/**
 	 * Removes the row.
 	 *
 	 * @param row the row
 	 */
 	public abstract void removeRow(int row);
-
+	
 	/**
 	 * Removes the rows.
 	 *
 	 * @param row the row
 	 */
 	public abstract void removeRows(List<Integer> row);
-
+	
 	/**
 	 * Removes the rows.
 	 *
 	 * @param selectionIndices the selection indices
 	 */
 	public abstract void removeRows(int[] selectionIndices);
-
+	
 	/**
 	 * Sets the.
 	 *
@@ -133,7 +134,7 @@
 	 * @param value the value
 	 */
 	public abstract void set(int row, int col, double value);
-
+	
 	/**
 	 * Gets the fmin.
 	 *
@@ -147,7 +148,7 @@
 	 * @return the fmax
 	 */
 	public abstract int getFMax();
-
+	
 	/**
 	 * Removes the rows.
 	 *
@@ -155,7 +156,7 @@
 	 * @param j the j
 	 */
 	public abstract void removeRows(int i, int j);
-
+	
 	/**
 	 * Cut.
 	 * TODO: must be done after calling copy(), check why.
@@ -163,7 +164,7 @@
 	 * @param nlines the number of lines to keep
 	 */
 	public abstract void cut(int nlines);
-
+	
 	/**
 	 * Filter.
 	 *
@@ -172,7 +173,7 @@
 	 * @param fmin the fmin
 	 */
 	public abstract void filter(int nlines, int fmin) throws Exception;
-
+	
 	/**
 	 * Sets the order.
 	 *
@@ -180,14 +181,14 @@
 	 * @param reverse the reverse
 	 */
 	abstract public void setOrder(List<Integer> neworder, Boolean reverse);
-
+	
 	/**
 	 * Gets the freqs.
 	 *
 	 * @return the freqs
 	 */
 	public abstract List<Integer> getFreqs();
-
+	
 	/**
 	 * Export data.
 	 *
@@ -196,6 +197,7 @@
 	 * @param txtseparator the txtseparator
 	 */
 	public abstract void exportData(File file, String colseparator, String txtseparator);
+	
 	public abstract boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator);
 	
 	/**
@@ -204,9 +206,9 @@
 	 * @param file the file
 	 */
 	public abstract boolean importData(File file, String encoding, String colseparator, String txtseparator) throws RWorkspaceException, REXPMismatchException;
-
+	
 	public abstract void sortByFreqs(boolean reverse) throws Exception;
-
+	
 	@Override
 	public abstract Vector getRowMarginsVector() throws StatException;
 	
@@ -222,16 +224,18 @@
 	
 	/**
 	 * Gets the number of rows.
+	 * 
 	 * @return the number of rows
 	 */
 	public abstract int getRowsCount();
-
 	
+	
 	/**
 	 * Gets the number of columns.
+	 * 
 	 * @return the number of columns
 	 */
 	public abstract int getColumnsCount();
-
-
+	
+	
 }
